% Code to accompany "Statistical Decision Properties of Imprecise 
% Trials Assessing COVID-19 Drugs"
% by Charles F. Manski and Aleksey Tetenov
% June 2020
% We thank Valentyn Litvin for helpful comments regarding the code.
%
% This script computes error probabilities for specific scenarios
% shown in Table 1 of the paper.

clear all
format long

diary Table1.txt

alpha = 0.05
N = [100 99]

P = [0.75 0.6]
[NO_ES,P_ES,NO_T,P_T] = nearopt_twoarm_specific(N,P,alpha)

P = [0.75 0.65]
[NO_ES,P_ES,NO_T,P_T] = nearopt_twoarm_specific(N,P,alpha)

P = [0.75 0.70]
[NO_ES,P_ES,NO_T,P_T] = nearopt_twoarm_specific(N,P,alpha)

P = [0.75 0.75]
[NO_ES,P_ES,NO_T,P_T] = nearopt_twoarm_specific(N,P,alpha)

P = [0.75 0.8]
[NO_ES,P_ES,NO_T,P_T] = nearopt_twoarm_specific(N,P,alpha)

P = [0.75 0.85]
[NO_ES,P_ES,NO_T,P_T] = nearopt_twoarm_specific(N,P,alpha)

P = [0.75 0.9]
[NO_ES,P_ES,NO_T,P_T] = nearopt_twoarm_specific(N,P,alpha)

diary off
