% Code to accompany "Statistical Decision Properties of Imprecise 
% Trials Assessing COVID-19 Drugs"
% by Charles F. Manski and Aleksey Tetenov
% June 2020
% We thank Valentyn Litvin for helpful comments regarding the code.
%
% This script computes the results appearing in Table 2 of the paper
% using 1000 gridpoints for average outcome probabilities in [0,1].
% Runtime ~1 day (concentrated on the largest sample sizes)

clear all
maxNumCompThreads('automatic');

format long

diary Table2.txt

% Two-sided test significance level
alpha = 0.05
% Number of grid points
ng = 1000
% Range of possible values for the average outcome of each treatment
RANGE = [0,1]

% Equal sample sizes
N = [20 20]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [30 30]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [50 50]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [100 100]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [200 200]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [500 500]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [1000 1000]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [2000 2000]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [4000 4000]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [5000 5000]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [10000 10000]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

N = [15000 15000]
[NO_ES,E_ES,P_ES,NO_T,E_T,P_T] = nearopt_twoarm(N,RANGE,ng,alpha)

diary off

